Subject: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Richard Copley <[email-masked]>
Date: Mon, 27 Feb 2017 19:46:21 +0000

On 27 February 2017 at 19:39, Ken Brown <[email-masked]> wrote:
> On 2/27/2017 2:30 PM, Richard Copley wrote:
>>
>> If you want to block or delay a shutdown in recent
>> Windows versions you need to use
>> ShutdownBlockReasonCreate (it's unfortunate, but
>> we lazy programmers proved we couldn't be trusted,
>> collectively, to handle WM_QUERY_ENDSESSION
>> correctly, so the arms race had to be escalated in
>> order to allow users to shut down their computers
>> reliably).
>
>
> In spite of the careless mistake in my patch, you could still test Eli's
> suggestion of using SendMessageTimeout instead of SendMessage, at least in
> my_show_window.

I can't, not really. Remember, I don't have a recipe.
I'll never be able to observe whether it's working or not.
(Am I missing something?)

>> Ken, what was the original change intended to guard
>> against? What would people be doing with Emacs that
>> can't simply be abandoned? Did you have a particular
>> example in mind?
>
>
> Bug#23483.

That's not a real issue, in my opinion. It's already covered,
by autosave.